Subject: Smap gives a deny messages even when the message gets delivered

From: Pascal Cimon <[email-masked]>
Date: Sun, 24 Sep 2000 18:52:33 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hello all,

I recently turned smap spam checking in my netperm-table (I use smap with
the yao-patch) with the following options:

smap, smapd:    userid 300
smap: domains pcsnc.com 
smap: hosts 10.1.1.1
smap: check-from-address 1
smap: scrub-spam 1
smap: spam fill.zzn.com sumomo.oiuw.oiu.ac.jp
smap: spam-block deny fill.zzn.com *
smap, smapd:    directory /var/spool/smap
smapd:          executable /usr/bin/smapd
smapd:          sendmail /usr/sbin/sendmail
smapd:          baddir /var/spool/smap/badmail
smapd:          wakeup 10
smap:           timeout 3600

The problem is that ever since I added the spam lines when a valid e-mail
comes in I first get a deny then a permit and the message is delivered. Why
does the deny appear even if the mail gets delivered? any way to fix it?

Thanks for any help